<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=Center>
<FONT COLOR="#0000FF"><FONT SIZE=+3>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.esrf.fr">
<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT border="0"></A>
</td></tr></table>

</Body>
</Html>
<!-- Generated by Doxygen 1.2.13.1 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>Starter.h</h1><a href="Starter_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre>00001 <font class="comment">//=============================================================================</font>
00002 <font class="comment">//</font>
00003 <font class="comment">// file :        Starter.h</font>
00004 <font class="comment">//</font>
00005 <font class="comment">// description : Include for the Starter class.</font>
00006 <font class="comment">//</font>
00007 <font class="comment">// project :    Starter for Tango Administration</font>
00008 <font class="comment">//</font>
00009 <font class="comment">// $Author: pascal_verdier $</font>
00010 <font class="comment">//</font>
00011 <font class="comment">// $Revision: 1.2 $</font>
00012 <font class="comment">//</font>
00013 <font class="comment">// $Log: Starter_8h-source.html,v $
00013 <font class="comment">// Revision 1.2  2003/12/08 08:53:53  pascal_verdier
00013 <font class="comment">// Cluster (multi-host) control implemented.
00013 <font class="comment">// Control of notify daemon implemented but not tested.
00013 <font class="comment">//</font>
00014 <font class="comment">// Revision 3.0.1.1  2003/09/18 12:02:49  pascal_verdier</font>
00015 <font class="comment">// Problem on Windows service startup fixed.</font>
00016 <font class="comment">//</font>
00017 <font class="comment">// Revision 3.0  2003/06/17 12:06:36  pascal_verdier</font>
00018 <font class="comment">// TANGO 3.x server.</font>
00019 <font class="comment">// polling bugs fixed.</font>
00020 <font class="comment">//</font>
00021 <font class="comment">// Revision 2.0  2003/01/09 13:35:50  verdier</font>
00022 <font class="comment">// TANGO 2.2</font>
00023 <font class="comment">//</font>
00024 <font class="comment">// Revision 1.22  2002/12/18 08:09:19  verdier</font>
00025 <font class="comment">// omniORB compatibility</font>
00026 <font class="comment">//</font>
00027 <font class="comment">// Revision 1.6  2002/10/15 18:55:21  verdier</font>
00028 <font class="comment">// The host state is now calculated during the State polled command.</font>
00029 <font class="comment">//</font>
00030 <font class="comment">// Revision 1.5  2002/02/27 15:19:32  verdier</font>
00031 <font class="comment">// WinNt services implemented.</font>
00032 <font class="comment">//</font>
00033 <font class="comment">// Revision 1.4  2001/04/03 09:40:50  verdier</font>
00034 <font class="comment">// WInNt version is running.</font>
00035 <font class="comment">//</font>
00036 <font class="comment">// Revision 1.3  2001/02/12 09:34:21  verdier</font>
00037 <font class="comment">// SunOS and Linux OK.</font>
00038 <font class="comment">//</font>
00039 <font class="comment">// Revision 1.2  2000/10/12 08:54:13  verdier</font>
00040 <font class="comment">// Compatible with tango 2 done</font>
00041 <font class="comment">//  Update from database info added.</font>
00042 <font class="comment">//</font>
00043 <font class="comment">// Revision 1.1  2000/07/31 13:48:42  verdier</font>
00044 <font class="comment">// Initial revision</font>
00045 <font class="comment">//</font>
00046 <font class="comment">//</font>
00047 <font class="comment">// copyleft :    European Synchrotron Radiation Facility</font>
00048 <font class="comment">//               BP 220, Grenoble 38043</font>
00049 <font class="comment">//               FRANCE</font>
00050 <font class="comment">//</font>
00051 <font class="comment">//=============================================================================</font>
00052 <font class="comment">//</font>
00053 <font class="comment">//              This file is generated by POGO</font>
00054 <font class="comment">//      (Program Obviously used to Generate tango Object)</font>
00055 <font class="comment">//</font>
00056 <font class="comment">//             (c) - Pascal Verdier - ESRF</font>
00057 <font class="comment">//=============================================================================</font>
00058 <font class="preprocessor">#ifndef _STARTER_H</font>
00059 <font class="preprocessor"></font><font class="preprocessor">#define _STARTER_H</font>
00060 <font class="preprocessor"></font>
00061 <font class="preprocessor">#include &lt;tango.h&gt;</font>
00062 <font class="preprocessor">#include &lt;<a class="code" href="StarterUtil_8h.html">StarterUtil.h</a>&gt;</font>
00063 <font class="preprocessor">#include &lt;sstream&gt;</font>
00064 
00065 <font class="keyword">using</font> <font class="keyword">namespace </font>std;
00071  <font class="comment">//     Add your own constants definitions here.</font>
00072  <font class="comment">//-----------------------------------------------</font>
00073 
00074 
00075 <font class="keyword">namespace </font>Starter
00076 {
00077 
00084 <font class="comment">/*</font>
00085 <font class="comment"> *      Device States Description:</font>
00086 <font class="comment"> *      Tango::UNKNOWN :        This device server has NOT been correctly initialised.</font>
00087 <font class="comment"> *      Tango::ON :     This device server has been correctly initialised.</font>
00088 <font class="comment"> */</font>
00089 
00090 
<a name="l00091"></a><a class="code" href="classStarter_1_1Starter.html">00091</a> <font class="keyword">class </font>Starter: <font class="keyword">public</font> Tango::Device_2Impl
00092 {
00093 <font class="keyword">public</font> :
00094         <font class="comment">//      Add your own data members here</font>
00095         <font class="comment">//-----------------------------------------</font>
00099 <font class="comment"></font>        <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1Starter.html#a0">manage_PollingState_startup</a>();
<a name="l00103"></a><a class="code" href="classStarter_1_1Starter.html#m0">00103</a>         StarterUtil     *<a class="code" href="classStarter_1_1Starter.html#m0">util</a>;
<a name="l00107"></a><a class="code" href="classStarter_1_1Starter.html#m1">00107</a>         SharedData              *<a class="code" href="classStarter_1_1Starter.html#m1">shared</a>;
<a name="l00111"></a><a class="code" href="classStarter_1_1Starter.html#m2">00111</a>         PollingState    *<a class="code" href="classStarter_1_1Starter.html#m2">poller</a>;
<a name="l00115"></a><a class="code" href="classStarter_1_1Starter.html#m3">00115</a>         omni_thread                     *<a class="code" href="classStarter_1_1Starter.html#m3">polling_id</a>;
<a name="l00119"></a><a class="code" href="classStarter_1_1Starter.html#m4">00119</a>         vector&lt;ServerControled&gt;         <a class="code" href="classStarter_1_1Starter.html#m4">servers</a>;
<a name="l00123"></a><a class="code" href="classStarter_1_1Starter.html#m5">00123</a>         Tango::DevBoolean       <a class="code" href="classStarter_1_1Starter.html#m5">throwable</a>;
<a name="l00127"></a><a class="code" href="classStarter_1_1Starter.html#m6">00127</a>         string  <a class="code" href="classStarter_1_1Starter.html#m6">returned_str</a>;
<a name="l00131"></a><a class="code" href="classStarter_1_1Starter.html#m7">00131</a>         Tango::DeviceProxy      *<a class="code" href="classStarter_1_1Starter.html#m7">dbase</a>;
00132 
00133         <font class="comment">//      Here is the Start of the automatic code generation part</font>
00134         <font class="comment">//------------------------------------------------------------- </font>
00140 <font class="comment"></font>
00141 
<a name="l00151"></a><a class="code" href="classStarter_1_1Starter.html#z1_0">00151</a>         vector&lt;string&gt;  <a class="code" href="classStarter_1_1Starter.html#z1_0">startDsPath</a>;
<a name="l00156"></a><a class="code" href="classStarter_1_1Starter.html#z1_1">00156</a>         Tango::DevShort <a class="code" href="classStarter_1_1Starter.html#z1_1">waitForDriverStartup</a>;
<a name="l00160"></a><a class="code" href="classStarter_1_1Starter.html#z1_2">00160</a>         Tango::DevShort <a class="code" href="classStarter_1_1Starter.html#z1_2">disableNotifyDaemon</a>;
00162 
00172         <a class="code" href="classStarter_1_1Starter.html#z2_0">Starter</a>(Tango::DeviceClass *,string &amp;);
00179         <a class="code" href="classStarter_1_1Starter.html#z2_0">Starter</a>(Tango::DeviceClass *,<font class="keyword">const</font> <font class="keywordtype">char</font> *);
00187         <a class="code" href="classStarter_1_1Starter.html#z2_0">Starter</a>(Tango::DeviceClass *,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *);
00189 
<a name="l00196"></a><a class="code" href="classStarter_1_1Starter.html#z3_0">00196</a>         <a class="code" href="classStarter_1_1Starter.html#z3_0">~Starter</a>() {};
00198 
00199         
00205         <font class="keyword">virtual</font> <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1Starter.html#z4_0">init_device</a>();
00209         <font class="keyword">virtual</font> <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1Starter.html#z4_1">always_executed_hook</a>();
00210 
00212 
00223         <font class="keyword">virtual</font> Tango::DevState <a class="code" href="classStarter_1_1Starter.html#z5_0">dev_state</a>();
00229         <font class="keywordtype">void</font>    <a class="code" href="classStarter_1_1Starter.html#z5_1">dev_start_all</a>(Tango::DevShort);
00235         <font class="keywordtype">void</font>    <a class="code" href="classStarter_1_1Starter.html#z5_2">dev_stop_all</a>(Tango::DevShort);
00243         Tango::DevVarStringArray        *<a class="code" href="classStarter_1_1Starter.html#z5_3">dev_get_running_servers</a>(Tango::DevBoolean);
00251         Tango::DevVarStringArray        *<a class="code" href="classStarter_1_1Starter.html#z5_4">dev_get_stop_servers</a>(Tango::DevBoolean);
00257         <font class="keywordtype">void</font>    <a class="code" href="classStarter_1_1Starter.html#z5_5">dev_start</a>(Tango::DevString);
00263         <font class="keywordtype">void</font>    <a class="code" href="classStarter_1_1Starter.html#z5_6">dev_stop</a>(Tango::DevString);
00271         Tango::ConstDevString   <a class="code" href="classStarter_1_1Starter.html#z5_7">dev_read_log</a>(Tango::DevString);
00279         <font class="keywordtype">void</font>    <a class="code" href="classStarter_1_1Starter.html#z5_8">update_servers_info</a>();
00284         <font class="keywordtype">void</font>    <a class="code" href="classStarter_1_1Starter.html#z5_9">start_polling_thread</a>();
00285 
00289          <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1Starter.html#z5_10">get_device_property</a>();
00291 
00292         <font class="comment">//      Here is the end of the automatic code generation part</font>
00293         <font class="comment">//------------------------------------------------------------- </font>
00294 
00295 
00296 
00297 <font class="keyword">protected</font> :     
00298         <font class="comment">//      Add your own data members here</font>
00299         <font class="comment">//-----------------------------------------</font>
00310 <font class="comment"></font><font class="keyword">const</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1Starter.html#z6_0">is_running</a>(ServerControled *);
00318 <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1Starter.html#z6_1">get_server_info</a>(ServerControled *);
00322 <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1Starter.html#z6_2">build_server_ctrl_object</a>(<font class="keywordtype">void</font>);
00323 <font class="preprocessor">#ifndef WIN32</font>
00324 <font class="preprocessor"></font>
00327 <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1Starter.html#z6_3">signal_handler</a>(<font class="keywordtype">long</font>);
00328 <font class="preprocessor">#endif</font>
00329 <font class="preprocessor"></font>
00331 };
00332 
00333 <font class="preprocessor">#ifdef WIN32</font>
00334 <font class="preprocessor"></font>
00337 <font class="keyword">class </font>StartWinProcess: <font class="keyword">public</font> omni_thread
00338 {
00339         <font class="keywordtype">char</font>    *server;
00340         <font class="keywordtype">char</font>    *instancename;
00341         <font class="keywordtype">char</font>    *log_file;
00342 <font class="keyword">public</font>:
00346         <font class="keywordtype">void</font> initialize(<font class="keywordtype">char</font> *, <font class="keywordtype">char</font> *, <font class="keywordtype">char</font> *);
00350         <font class="keywordtype">void</font> *run_undetached(<font class="keywordtype">void</font> *);
00351         <font class="keywordtype">void</font> start() {start_undetached();}
00352 };
00353 <font class="preprocessor">#endif</font>
00354 <font class="preprocessor"></font>
00355 }       <font class="comment">//      namespace</font>
00356 
00357 <font class="preprocessor">#endif  // _STARTER_H</font>
</pre></div><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
</body>
</html>
